Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.deployment
Interface DeployableFile

All Known Implementing Classes:
  AbstractDeployableFile

public interface DeployableFile

Represents a component to deploy in a container. It can either be a WAR or an EAR file.

Version:
  $Id: DeployableFile.java 239003 2004-05-31 20:05:27Z vmassol $

Method Summary
`java.lang.Object` | `clone()` Clone the object.
`java.io.File` | `getFile()`
`java.lang.String` | `getFilterRedirectorMapping()` Returns the first URL-pattern to which the Cactus filter redirector is mapped in the deployment descriptor.
`java.lang.String` | `getJspRedirectorMapping()` Returns the first URL-pattern to which the Cactus JSP redirector is mapped in the deployment descriptor.
`java.lang.String` | `getServletRedirectorMapping()` Returns the first URL-pattern to which the Cactus servlet redirector is mapped in the deployment descriptor.
`java.lang.String` | `getTestContext()`
`WarArchive` | `getWarArchive()`
`boolean` | `isEar()` Returns whether the deployable file is an enterprise application archive (EAR).
`boolean` | `isWar()` Returns whether the deployable file is a web-app archive (WAR).
`void` | `setTestContext(java.lang.String theTestContext)`

Method Detail

### getFile

    public java.io.File getFile()

  Returns:
    the file to deploy in a container (either WAR or EAR)

### isWar

    public boolean isWar()

  Returns whether the deployable file is a web-app archive (WAR).

  Returns:
    `true` if the deployable file is a WAR

### isEar

    public boolean isEar()

  Returns whether the deployable file is an enterprise application archive (EAR).

  Returns:
    `true` if the deployable file is a EAR

### getWarArchive

    public WarArchive getWarArchive()

  Returns:
    the WAR deployment descriptor object for the WAR containing the Cactus Servlet redirector

### getTestContext

    public java.lang.String getTestContext()

  Returns:
    the webapp context which holds the Cactus tests

### setTestContext

    public void setTestContext(java.lang.String theTestContext)

  Parameters:
    `theTestContext` - the test context that will be used to test if the container is started or not

### getServletRedirectorMapping

    public java.lang.String getServletRedirectorMapping()

  Returns the first URL-pattern to which the Cactus servlet redirector is mapped in the deployment descriptor.

  Returns:
    The mapping, or `null` if the servlet redirector is not defined or mapped in the descriptor

### getFilterRedirectorMapping

    public java.lang.String getFilterRedirectorMapping()

  Returns the first URL-pattern to which the Cactus filter redirector is mapped in the deployment descriptor.

  Returns:
    The mapping, or `null` if the filter redirector is not defined or mapped in the descriptor

### getJspRedirectorMapping

    public java.lang.String getJspRedirectorMapping()

  Returns the first URL-pattern to which the Cactus JSP redirector is mapped in the deployment descriptor.

  Returns:
    The mapping, or `null` if the JSP redirector is not defined or mapped in the descriptor

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone the object.

  Returns:
    the object clone
  Throws:
    `java.lang.CloneNotSupportedException` - If clone is not supported (duh)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.